
%global tarname spice

Name:           spice-server
Version:        0.8.0
Release:        1%{?dist}
Summary:        Implements the server side of the SPICE protocol
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.spice-space.org/
Source0:        http://spice-space.org/download/releases/%{tarname}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  x86_64

BuildRequires:  pkgconfig
BuildRequires:  gcc-c++
BuildRequires:  alsa-lib-devel
BuildRequires:  pixman-devel >= 0.18
BuildRequires:  libjpeg-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  openssl-devel
BuildRequires:  celt051-devel
BuildRequires:  libcacard-devel >= 0.1.2
BuildRequires:  spice-protocol >= 0.7.0
BuildRequires:  autoconf automake libtool

Requires:       pixman >= 0.18
Requires:       pkgconfig

# Obsolete old packages that are not needed anymore
Obsoletes: cairo-spice < 1.8.7.2
Obsoletes: cairo-spice-devel < 1.8.7.2
Obsoletes: cairo-spice-debuginfo < 1.8.7.2
Obsoletes: ffmpeg-spice < 0.4.9-1
Obsoletes: ffmpeg-spice-devel < 0.4.9-1
Obsoletes: ffmpeg-spice-libs < 0.4.9-1
Obsoletes: ffmpeg-spice-debuginfo < 0.4.9-1
Obsoletes: pixman-spice < 0.13.3-6
Obsoletes: pixman-spice-devel < 0.13.3-6
Obsoletes: pixman-spice-debuginfo < 0.13.3-6
Obsoletes: spice-common < 0.4.2-8
Obsoletes: spice-common-devel < 0.4.2-8

%package devel
Summary:        Header files, libraries and development documentation for %{name}
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}
Requires:       alsa-lib-devel
Requires:       pixman-devel >= 0.18
Requires:       libjpeg-devel
Requires:       openssl-devel
Requires:       celt051-devel
Requires:       spice-protocol >= 0.7.0


%description
The Simple Protocol for Independent Computing Environments (SPICE) is
a remote display system built for virtual environments which allows
you to view a computing 'desktop' environment not only on the machine
where it is running, but from anywhere on the Internet and from a wide
variety of machine architectures.

This package contains the runtime libraries for any application that wishes
to be a SPICE server.

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs
using %{name},you will need to install %{name}-devel.

%prep
%setup -q -n %{tarname}-%{version}

%build
autoreconf -i -f
#CFLAGS="%{optflags}"; CFLAGS="${CFLAGS/-Wall/}"; export CFLAGS;
#CXXFLAGS="%{optflags}"; CXXFLAGS="${CXXFLAGS/-Wall/}"; export CXXFLAGS;
#FFLAGS="%{optflags}"; FFLAGS="${FFLAGS/-Wall/}"; export FFLAGS;
%configure --enable-smartcard
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make -C server %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make -C server install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
install -m 00644 %{name}.pc $RPM_BUILD_ROOT/%{_libdir}/pkgconfig


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%doc COPYING README
%{_libdir}/libspice-server.so.*

%files devel
%defattr(-, root, root, 0755)
%doc COPYING README
%{_includedir}/spice-server/
%{_libdir}/libspice-server.so
%{_libdir}/pkgconfig/spice-server.pc
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la

%changelog
* Mon Mar 07 2011 Uri Lublin <uril@redhat.com> - 0.8.0-1
- Rebase to upstream 0.8.0
  + Includes "Fix segfault on migration" patch
  + Some spice-client bug fixes.
Resolves: #672035

* Mon Feb 21 2011 Uri Lublin <uril@redhat.com> - 0.7.3-2
- Fix segfault on migration
Resolves: #674451

* Thu Feb 17 2011 Uri Lublin <uril@redhat.com> - 0.7.3-1
- Rebase to upstream 0.7.3:
  + Mostly smart-card updates:
    - including all the changes in 0.7.2.4
  + Some gcc warning cleanups.
- Fix permissions of spice-server.pc
Resolves: #672035

* Fri Feb 04 2011 Uri Lublin <uril@redhat.com> - 0.7.2-4
- smartcard -- libcacard 0.1.2 updates:
 - server
  - use network byte order when talking to device.
 - both
  - no more reader_id_t, uint32_t instead
  - no more ReaderAddResponse, use VSC_Error with
    code==VSC_SUCCESS instead.
  - change an assert to a red_printf("error:..")
    if got an unexpectedly undefined reader id.
 - client (not part of this package)
  - track number of expected reader insertions
Resolves: #674937

* Fri Feb 04 2011 Uri Lublin <uril@redhat.com> - 0.7.2-3
- Obsolete old packages that are not needed now
Resolves: #674171

* Mon Jan 24 2011 Uri Lublin <uril@redhat.com> - 0.7.2-2
- Rebase to spice upstream release 0.7.2
- Drop all patches (all upstreamed)
- Enable smartcard (CAC) support
Resolves: #672035

* Fri Jul 30 2010 Uri Lublin <uril@redhat.com> - 0.4.2-15
 - Fix unsafe accesses
  + fix unsafe guest data accessing.
  + fix unsafe free() call.
  + fix unsafe cursor items handling.
  + add missing overflow check.
Resolves: #568811

* Wed Jun 30 2010 Uri Lublin <uril@redhat.com> - 0.4.2-14
- make opengl optional - add a missing patch
  ifdef out some opengl calls.
Resolves: #482556

* Wed Jun 30 2010 Uri Lublin <uril@redhat.com> - 0.4.2-13
- remove Requires and BuildRequires mesa-libGLU-devel
  + open-gl is now disabled.
- bumped release to -13 due to tag issue
Related: #482556

* Wed Jun 30 2010 Uri Lublin <uril@redhat.com> - 0.4.2-11
- make opengl optional, disabled by default (2 patches)
Resolves: #482556

* Thu Apr 22 2010 Uri Lublin <uril@redhat.com> - 0.4.2-10
- spice: server: new-api (4 more patches)
     + streaming-video, agent-mouse, playback-compression.
Related: #571286

* Sun Apr  4 2010 Uri Lublin <uril@redhat.com> - 0.4.2-9
 - generate auto* generated files (e.g. Makefile.in)
Resolves: #579329

* Tue Mar 23 2010 Uri Lublin <uril@redhat.com> - 0.4.2-8
 - spice server: renaming library and includedir
Resolves: #573349

* Tue Mar 23 2010 Uri Lublin <uril@redhat.com> - 0.4.2-7
 - fix wrong access to ring item
Resolves: #575556

* Tue Mar 23 2010 Uri Lublin <uril@redhat.com> - 0.4.2-6
 - more permissive video identification
Resolves: #575576

* Tue Mar 23 2010 Uri Lublin <uril@redhat.com> - 0.4.2-5
 - new migration process
Resolves: #576029

* Wed Mar 17 2010 Uri Lublin <uril@redhat.com> - 0.4.2-4
- spice: server: new-api (2 more patches)
Related: #571286

* Mon Mar  7 2010 Uri Lublin <uril@redhat.com> - 0.4.2-3
 - Use default configure macro (remove _prefix and _libdir)
Related: #543948

* Sun Mar 07 2010 Uri Lublin <uril@redhat.com> - 0.4.2-2
- spice: server: new-api (10 patches)
Related: #571286

* Sun Mar 07 2010 Uri Lublin <uril@redhat.com> - 0.4.2-1
- spice: server: avoid video streaming of small images
Resolves: #571283

* Mon Jan 11 2009 Uri Lublin <uril@redhat.com> - 0.4.2-0
 - first spec for 0.4.2
Related: #549807
